%define debug_package %{nil}

Summary: Open X Input Method Server.
Name: oxim
Version: 1.1.2.92
Release: 1
License: GPL
Group: System/Internationalization
Source0: %{name}-%{version}.tar.gz
Requires: zlib
Requires(post,preun): /usr/sbin/alternatives
BuildRequires: zlib-devel
Buildroot: %{_tmppath}/%{name}-buildroot

Obsoletes: xcin >= 3.0.0

%description
An X Input Method Server.

%package setup
Summary: OXIM GUI setup tool.
Group:   System/Internationalization
Requires: %{name} = %{version}
Requires: qt >= 3.0.0
BuildRequires: qt-devel >= 3.0.0

%description setup
OXIM GUI setup tool.

%package gtk-immodule
Summary: OXIM context plugin for Gtk input method module.
Group:   System/Internationalization
Requires: %{name} = %{version}
BuildRequires: gtk2-devel

%description gtk-immodule
OXIM context plugin for Gtk input method module.

%package qt-immodule
Summary: OXIM context plugin for QT input method module.
Group:   System/Internationalization
Requires: %{name} = %{version}
BuildRequires: qt-devel >= 3.2.2

%description qt-immodule
OXIM context plugin for QT input method module.

%package unicode-module
Summary: Unicode input method.
Group:   System/Internationalization
Requires: %{name} = %{version}

%description unicode-module
Unicode input method.

%package chewing-module
Summary: Chewing input method.
Group:   System/Internationalization
Requires: %{name} = %{version}
Requires: libchewing >= 0.2.6
BuildRequires: libchewing-devel >= 0.2.6

%description chewing-module
Chewing input method.

%prep

rm -rf $RPM_BUILD_ROOT

%setup -q

%build
unset QTDIR && . /etc/profile.d/qt.sh
%define qt_dir %(echo $QTDIR)

%configure --enable-static=no \
	--with-qt-dir=${QTDIR}

%{__make} %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
DESTDIR=$RPM_BUILD_ROOT make install-strip
find $RPM_BUILD_ROOT -type f -name "*.la" -exec rm -f {} \;

%post
/sbin/ldconfig
alternatives --install %{_sysconfdir}/X11/xinit/xinput.d/zh_TW xinput-zh_TW %{_sysconfdir}/X11/xinit/xinput.d/%{name} 99

alternatives --install %{_sysconfdir}/X11/xinit/xinput.d/zh_CN xinput-zh_CN %{_sysconfdir}/X11/xinit/xinput.d/%{name} 99

alternatives --install %{_sysconfdir}/X11/xinit/xinput.d/zh_HK xinput-zh_HK %{_sysconfdir}/X11/xinit/xinput.d/%{name} 99

alternatives --install %{_sysconfdir}/X11/xinit/xinput.d/zh_SG xinput-zh_SG %{_sysconfdir}/X11/xinit/xinput.d/%{name} 99

alternatives --install %{_sysconfdir}/X11/xinit/xinput.d/en_US xinput-en_US %{_sysconfdir}/X11/xinit/xinput.d/%{name} 99

%preun
if [ "$1" = 0 ]; then
   alternatives --remove xinput-zh_TW %{_sysconfdir}/X11/xinit/xinput.d/%{name}
   alternatives --remove xinput-zh_CN %{_sysconfdir}/X11/xinit/xinput.d/%{name}
   alternatives --remove xinput-zh_HK %{_sysconfdir}/X11/xinit/xinput.d/%{name}
   alternatives --remove xinput-zh_SG %{_sysconfdir}/X11/xinit/xinput.d/%{name}
   alternatives --remove xinput-en_US %{_sysconfdir}/X11/xinit/xinput.d/%{name}
fi

%postun -p /sbin/ldconfig

%post gtk-immodule
{
for dir in /etc/gtk-2.0/*
do
    if test -d $dir
    then
	host=`basename $dir`
	`which update-gtk-immodules` $host 2>&1 > /dev/null
    fi
done
}

%postun gtk-immodule
{
for dir in /etc/gtk-2.0/*
do
    if test -d $dir
    then
        host=`basename $dir`
        `which update-gtk-immodules` $host 2>&1 > /dev/null
    fi
done
}

%clean 
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc {README,COPYING,AUTHORS}
%dir %{_sysconfdir}/oxim
%config %{_sysconfdir}/oxim/*
%{_bindir}/oxim-conv
%{_bindir}/oxim2tab
%{_bindir}/oxim
%{_libdir}/liboxim.so*
%dir %{_libdir}/%{name}
%dir %{_libdir}/%{name}/modules
%{_libdir}/%{name}/modules/gen-inp.so
%{_libdir}/%{name}/modules/gen-inp-v1.so
%dir %{_libdir}/%{name}/tables
%{_libdir}/%{name}/tables/cnscj.tab
%{_libdir}/%{name}/tables/cnsphone.tab
%{_libdir}/%{name}/tables/default.phr
%{_libdir}/%{name}/tables/symbol.list
%dir %{_libdir}/%{name}/panels
%{_libdir}/%{name}/panels/defaultkeyboard.*
%{_sysconfdir}/X11/xinit/xinput.d/%{name}

%files setup
%{_bindir}/oxim-setup

%files gtk-immodule
%dir %{_libdir}/%{name}/immodules
%{_libdir}/%{name}/immodules/gtk-im-oxim.so
%{_libdir}/gtk-2.0/immodules/gtk-im-oxim.so

%files qt-immodule
%dir %{_libdir}/%{name}/immodules
%{_libdir}/%{name}/immodules/qt-im-oxim.so
%{qt_dir}/plugins/inputmethods/qt-im-oxim.so

%files unicode-module
%{_libdir}/%{name}/modules/unicode.so

%files chewing-module
%{_libdir}/%{name}/modules/chewing.so

%changelog
